Summary:        Expand tabs and do simple line wrapping
Name:           perl-Text-Tabs+Wrap
Version:        2021.0814
Release:        3%{?dist}
License:        TTWL
URL:            https://metacpan.org/release/Text-Tabs%2BWrap
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARISTOTLE/Text-Tabs+Wrap-%{version}.tar.gz

BuildRequires:  make coreutils perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(strict) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

# Run-time:
BuildRequires:  perl(Exporter)  perl(re) perl(warnings::register)

# Tests:
BuildRequires:  perl(bytes)

BuildArch:      noarch

Requires:       perl(:MODULE_COMPAT_%perl_version)
Requires:       perl(warnings)

%description
This module provides Text::Tabs and Text::Wrap. Text::Tabs implements adding 
or removing tabs from a document. Text::Wrap::wrap() will reformat lines into 
paragraphs. All it does is break up long lines, it will not join short lines 
together.

%prep
%autosetup -n Text-Tabs+Wrap-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGELOG README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2021.0814-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2021.0814-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 18 2022 Cheng Xin <denisecheng@tencent.com> - 2021.0814-1
- package init.
